/*!
 * UI development toolkit for HTML5 (OpenUI5)
 * (c) Copyright 2009-2016 SAP SE or an SAP affiliate company.
 * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.
 */
sap.ui.define(['sap/ui/core/Control','./library'],function(C,l){"use strict";var B=C.extend("sap.ui.layout.BlockLayoutCell",{metadata:{library:"sap.ui.layout",properties:{title:{type:"string",group:"Appearance",defaultValue:null},titleAlignment:{type:"sap.ui.core.HorizontalAlign",group:"Appearance",defaultValue:"Begin"},titleLevel:{type:"sap.ui.core.TitleLevel",group:"Appearance",defaultValue:"Auto"},width:{type:"int",group:"Appearance",defaultValue:0}},defaultAggregation:"content",aggregations:{content:{type:"sap.ui.core.Control",multiple:true,singularName:"content"}}}});B.prototype.setWidth=function(w){this.setProperty("width",w);if(!this._getParentRowScrollable()){var p=this.getParent();if(p){p._checkGuidelinesAndUpdateCells();}}return this;};B.prototype._clearState=function(){this._parentRowScrollable=false;this._differentSBreakpointSize=false;};B.prototype._setDifferentSBreakpointSize=function(d,r){this._differentSBreakpointSize=d;this._widthToRowWidthRatio=r;};B.prototype._getDifferentSBreakpointSize=function(){return this._differentSBreakpointSize;};B.prototype._getWidthToRowWidthRatio=function(){return this._widthToRowWidthRatio;};B.prototype._setParentRowScrollable=function(s){this._parentRowScrollable=s;};B.prototype._getParentRowScrollable=function(){return this._parentRowScrollable;};return B;},true);
